tpm2_loadexternal(8)

NAME
tpm2_loadexternal - load an object that is not a Protected Object into the TPM. The command allows loading of a public area or both a public and a sensitive area.

SYNOPSIS
tpm2_loadexternal[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --hierarchy|--pubfile|--privfile|--context| ]

load an object that is not a Protected Object into the TPM. The command allows loading of a public area or both a public and a sensitive area.

DESCRIPTION
tpm2_loadexternal load an object that is not a Protected Object into the TPM. The command allows loading of a public area or both a public and a sensitive area.

OPTIONS

-H ,--hierarchy
    Hierarchy with which the object area is associated e TPM_RH_ENDORSEMENT o TPM_RH_OWNER p TPM_RH_PLATFORM n TPM_RH_NULL

-u ,--pubfile
    The public portion of the object

-r ,--privfile
    The sensitive portion of the object, optional

-C ,--context
    The file to save the object context, optional

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_loadexternal

    Load a public area generated by tpm2_create, tpm2_readpublic or manually
    tpm2_loadexternal -H <e|o|p|n> -u <pubKeyFileName> -C object.context
    Load a key with sensitive area. Both the public & the senstive areas shall
    be generated externally. *DON'T* use the areas generated by tpm2_create.
    tpm2_loadexternal -H n -u <pubKeyFileName> -r <privKeyFileName> -C object.context